# Package org.mariadb.jdbc.internal.common.packet

Interface Summary
CommandPacket

Class Summary
CompressOutputStream
DecompressInputStream
EOFPacket
ErrorPacket
LocalInfilePacket
OKPacket: .
PacketOutputStream
RawPacket: Class to represent a raw packet as transferred over the wire.
ResultPacket
ResultPacketFactory: Creates result packets only handles error, ok, eof and result set packets since field and row packets require a previous result set packet
ResultSetPacket: .
SyncPacketFetcher

Enum Summary
ResultPacket.ResultType

Exception Summary
MaxAllowedPacketException: Created by diego_000 on 03/06/2015.